Bug 189025 - graphics/ocaml-lablgl fails to build
Summary: graphics/ocaml-lablgl fails to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-26 17:10 UTC by rkoberman
Modified: 2014-05-10 19:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rkoberman 2014-04-26 17:10:00 UTC
	
Building graphics/ocaml-lablgl fails.
ocamlmklib -o lablgl ml_gl.o	ml_glu.o	ml_raw.o ml_glarray.o ml_glutess.o	ml_shader.o raw.cmo gl.cmo	glLight.cmo	glList.cmo	glMap.cmo glMat.cmo	glMisc.cmo	glPix.cmo	glClear.cmo glTex.cmo	glDraw.cmo	glFunc.cmo	gluMisc.cmo gluNurbs.cmo	gluQuadric.cmo	gluTess.cmo	gluMat.cmo glArray.cmo	glShader.cmo -lGL -lGLU -L/usr/local/lib -lXext -lXmu -lX11
gmake[3]: Leaving directory `/usr/ports/graphics/ocaml-lablgl/work/lablGL/src'
cd Togl/src && gmake all
gmake[3]: Entering directory `/usr/ports/graphics/ocaml-lablgl/work/lablGL/Togl/src'
ocamlc -c -w s -I +labltk -I ../../src togl.mli
File "togl.mli", line 4, characters 14-29:
Error: Unbound module Widget
gmake[3]: *** [togl.cmi] Error 2
gmake[3]: Leaving directory `/usr/ports/graphics/ocaml-lablgl/work/lablGL/Togl/src'
gmake[2]: *** [togl] Error 2
gmake[2]: Leaving directory `/usr/ports/graphics/ocaml-lablgl/work/lablGL'
*** Error code 1

All dependencies rebuilt with no change in the result
Other system information:
make.conf:
WITH_NEW_XORG=YES
WITH_KMS=YES

src.conf:
WITHOUT_ATM=true
WITHOUT_FLOPPY=true
WITHOUT_GPIB=YES
WITHOUT_I4B==YES
WITHOUT_IPFILTER=true
WITHOUT_LPR=true
WITHOUT_NCP=YES
WITHOUT_PF=YES
WITHOUT_PPP=true
WITHOUT_PROFILE=YES
WITHOUT_SENDMAIL=true

Kernel configuration:
VT
nodevice        VESA

Fix: 

Unknown
How-To-Repeat: 	
cd /usr/ports/graphics/ocaml-lablgl && make
Comment 1 Edwin Groothuis freebsd_committer 2014-04-26 17:10:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Michael Grünewald 2014-04-26 23:24:22 UTC
Hi Kevin,

I could build lablgl-1.05 on 10.X and 11.X (RedPorts), see my branch on
Github. I did not test the build but maybe you could be of interest for you.

github: https://github.com/michipili/ports-bsd/tree/ocaml-lablgl-1.05
redports: https://redports.org/buildarchive/20140426183044-70026/

-- 
HTH,
Michael
Comment 3 rkoberman 2014-04-27 07:09:16 UTC
On Sat, Apr 26, 2014 at 3:24 PM, Michael Grünewald <michipili@gmail.com>wrote:

> Hi Kevin,
>
> I could build lablgl-1.05 on 10.X and 11.X (RedPorts), see my branch on
> Github. I did not test the build but maybe you could be of interest for
> you.
>
> github: https://github.com/michipili/ports-bsd/tree/ocaml-lablgl-1.05
> redports: https://redports.org/buildarchive/20140426183044-70026/
>
> --
> HTH,
> Michael
>
> Thanks for the suggestions. Fromthe lack of reports of this,it's something

unusual.

The only thing I can see is that I am running WITH_NEW_XORG, but I don't
wee how/if this is significant.
-- 
R. Kevin Oberman, Network Engineer, Retired
E-mail: rkoberman@gmail.com
Comment 4 Michael Grünewald 2014-04-27 12:53:35 UTC
Kevin Oberman wrote:
> The only thing I can see is that I am running WITH_NEW_XORG, but I
> don't wee how/if this is significant.
This might be significant as I do not run WITH_NEW_XORG and do not have
this issue.

You mentioned that you upgraded your packages, but just to be sure,
maybe you could double check /usr/ports/UPDATING (esp. 2013-12-16).

Best regards,
Michael
Comment 5 rkoberman 2014-04-27 17:26:56 UTC
On Sun, Apr 27, 2014 at 4:53 AM, Michael <michipili@gmail.com> wrote:

> Kevin Oberman wrote:
> > The only thing I can see is that I am running WITH_NEW_XORG, but I
> > don't wee how/if this is significant.
> This might be significant as I do not run WITH_NEW_XORG and do not have
> this issue.
>
> You mentioned that you upgraded your packages, but just to be sure,
> maybe you could double check /usr/ports/UPDATING (esp. 2013-12-16).
>
> Best regards,
> Michael
>
>
Thanks again, but, yes, I did follow those instructions, though I did so
long before that as I have been running WITH_NEW_XORG for much longer than
that. Since my T520 ThinkPad had serious issues with VESA (no support for a
wide-screen display), I started running KMS and updated MESA back when kib
made the earliest beta versions available on 9-STABLE before the release of
9.2. Maybe even 9.1.
-- 
R. Kevin Oberman, Network Engineer, Retired
E-mail: rkoberman@gmail.com
Comment 6 rkoberman 2014-04-27 17:52:17 UTC
On Sun, Apr 27, 2014 at 9:26 AM, Kevin Oberman <rkoberman@gmail.com> wrote:

> On Sun, Apr 27, 2014 at 4:53 AM, Michael <michipili@gmail.com> wrote:
>
>> Kevin Oberman wrote:
>> > The only thing I can see is that I am running WITH_NEW_XORG, but I
>> > don't wee how/if this is significant.
>> This might be significant as I do not run WITH_NEW_XORG and do not have
>> this issue.
>>
>> You mentioned that you upgraded your packages, but just to be sure,
>> maybe you could double check /usr/ports/UPDATING (esp. 2013-12-16).
>>
>> Best regards,
>> Michael
>>
>>
> Thanks again, but, yes, I did follow those instructions, though I did so
> long before that as I have been running WITH_NEW_XORG for much longer than
> that. Since my T520 ThinkPad had serious issues with VESA (no support for a
> wide-screen display), I started running KMS and updated MESA back when kib
> made the earliest beta versions available on 9-STABLE before the release of
> 9.2. Maybe even 9.1.
> --
> R. Kevin Oberman, Network Engineer, Retired
> E-mail: rkoberman@gmail.com
>

Problem resolved! With the upgrade of lang/ocaml yesterday, ocaml-lablgl
now builds and installs just fine. I still don't know why others had no
issues with this before the ocaml upgrade, but it's fixed for me..

Thanks to John Marino for the update of ocaml to 4.01.0!

ports/189025 may be closed.
-- 
R. Kevin Oberman, Network Engineer, Retired
E-mail: rkoberman@gmail.com
Comment 7 John Marino freebsd_committer 2014-05-10 19:13:18 UTC
State Changed
From-To: open->closed

Problem resolved with Ocaml update to 4.01